﻿/*
 * Created by SharpDevelop.
 * User: xxxx
 * Date: 2007/09/17
 * Time: 14:57
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Collections.Generic;

namespace bioshock_ini_unpacker
{
	class MainClass
	{
		public static void Main(string[] args)
		{
			string usage = "" + 
				"Usage:\n" +
				"    bioshock_ini_unpacker.exe unpack \"target file\"\n" +
				"    bioshock_ini_unpacker.exe pack \"target folder\"";

			if(args.Length != 2)
			{
				Console.WriteLine(usage);
			}
			else
			{
				try
				{
					IBFParser parser = new IBFParser();
					switch(args[0])
					{
						case "unpack":
							parser.unpack(args[1]);
							break;
						case "pack":
							parser.pack(args[1]);
							break;
						default:
							Console.WriteLine(usage);
							break;
					}
				}
				catch(Exception e)
				{
					Console.WriteLine(e.Message);
				}
			}
		}
	}
}
