﻿/*
 * Created by SharpDevelop.
 * User: xxxx
 * Date: 2007/09/11
 * Time: 21:21
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Collections.Generic;
using System.IO;

namespace subtitle_convert
{
	class MainClass
	{
		public static void Main(string[] args)
		{
			Console.WriteLine("変換開始...");
			
			string subtitle_dirname = "subtitles";
			string template_filename = "jpreplacer.sc.tpl";
			string sc_filename = "jpreplacer.sc";
			
			try
			{
				if (args.Length >= 3)
				{
					subtitle_dirname = args[0];
					template_filename = args[1];
					sc_filename = args[2];
				}
				else if (args.Length == 2)
				{
					subtitle_dirname = args[0];
					template_filename = args[1];
				}
				else if (args.Length == 1)
				{
					subtitle_dirname = args[0];
				}
				
				SubtitleConvert convert = new SubtitleConvert();
				convert.execute(template_filename, sc_filename, subtitle_dirname);
			}
			catch (FileNotFoundException e)
			{
				Console.WriteLine("ファイル " + e.FileName + " が開けません.");
			}
			catch (DirectoryNotFoundException e)
			{
				Console.WriteLine("字幕フォルダが開けません.");
			}
			catch (Exception e)
			{
				Console.WriteLine("不明なエラー");
				Console.WriteLine(e.StackTrace);
			}
			Console.WriteLine("終了.\nエンターキーを押してください.");
			Console.Read();
		}
	}
}
